package org.amse.ak.schemebuilder.builder;

@SuppressWarnings("serial")
public final class SchemeBuilderException extends Exception {
    
    private Exception myException;
    
    public SchemeBuilderException(String message) {
        super(message);
    }
    
    public SchemeBuilderException(String message, Exception e){
        super(message);
        myException = e;
    }
    
    public String getMessage() {
        if (myException == null) {
            return super.getMessage();
        } 
        return super.getMessage() + " " + myException.getMessage();
    }

}
