package org.amse.ak.schemebuilder.model;

public interface ISchemeVisitor {

    void caseActionBlock(IActionBlock actionBlock);

    void caseBeginBlock(IBeginBlock beginBlock);

    void caseDoBlock(IDoBlock doBlock);
    
    void caseEndBlock(IEndBlock endBlock);

    void caseForBlock(IForBlock forBlock);

    void caseIfBlock(IIfBlock ifBlock);
    
    void caseInvocationBlock(IInvocationBlock invocationBlock);

    void caseSwitchBlock(ISwitchBlock switchBlock);
    
    void caseTryBlock(ITryBlock tryBlock);
    
    void caseWhileBlock(IWhileBlock whileBlock);
    
}
