package org.amse.ak.schemebuilder.model.impl;

import org.amse.ak.schemebuilder.model.IBlock;

abstract class Block implements IBlock {

    private String myText;

    private IBlock myNext = null;

    public Block(String text) {
        myText = text;
    }

    public String getText() {
        return myText;
    }

    public IBlock getNext() {
        return myNext;
    }

    public void setNext(IBlock next) {
        myNext = next;
    }

    public String toString() {
        return "[" + myText + "]";
    }

}
