package org.amse.ak.schemebuilder.model.impl;

import org.amse.ak.schemebuilder.model.IBlock;
import org.amse.ak.schemebuilder.model.ICase;

class Case implements ICase {
    
    private final String myCase;
    
    private IBlock myBlock;
    
    public Case(String s, IBlock block) {
        myCase = s;
        myBlock = block;
    }
    
    public Case(String s) {
        this(s, null);
    }
    
    public String getCase() {
        return myCase;
    }
    
    public IBlock getBlock() {
        return myBlock;
    }
    
    public void setBlock(IBlock block) {
        myBlock = block;
    }

}
