package org.amse.ak.schemebuilder.model.impl;

import org.amse.ak.schemebuilder.model.IBlock;
import org.amse.ak.schemebuilder.model.IDoBlock;
import org.amse.ak.schemebuilder.model.ISchemeVisitor;

public class DoBlock extends Block implements IDoBlock {
    
    private IBlock myFirstBlock;

    public DoBlock(String text) {
        super(text);
    }

    public IBlock getFirstBlock() {
        return myFirstBlock;
    }

    public void setFirstBlock(IBlock first) {
        myFirstBlock = first;
    }

    public void apply(ISchemeVisitor visitor) {
        visitor.caseDoBlock(this);
    }

}
