package org.amse.ak.schemebuilder.model.impl;

import org.amse.ak.schemebuilder.model.ISchemeVisitor;
import org.amse.ak.schemebuilder.model.IBlock;
import org.amse.ak.schemebuilder.model.IForBlock;

class ForBlock extends Block implements IForBlock {

    private IBlock myFirstBlock;

    public ForBlock(String text) {
        super(text);
    }

    public IBlock getFirstBlock() {
        return myFirstBlock;
    }

    public void setFirstBlock(IBlock first) {
        myFirstBlock = first;
    }

    public void apply(ISchemeVisitor visitor) {
        visitor.caseForBlock(this);
    }

}
