package org.amse.ak.schemebuilder.model.impl;

import org.amse.ak.schemebuilder.model.ISchemeVisitor;
import org.amse.ak.schemebuilder.model.IBlock;
import org.amse.ak.schemebuilder.model.IIfBlock;

class IfBlock extends Block implements IIfBlock {

    private IBlock myYesBlock;

    private IBlock myNoBlock;

    public IfBlock(String text) {
        super(text);
    }

    public IBlock getYesBlock() {
        return myYesBlock;
    }

    public void setYesBlock(IBlock yesBlock) {
        myYesBlock = yesBlock;
    }

    public IBlock getNoBlock() {
        return myNoBlock;
    }

    public void setNoBlock(IBlock noBlock) {
        myNoBlock = noBlock;
    }

    public void apply(ISchemeVisitor visitor) {
        visitor.caseIfBlock(this);
    }

}
