package org.amse.ak.schemebuilder.model.impl;

import org.amse.ak.schemebuilder.model.IBlock;
import org.amse.ak.schemebuilder.model.IWhileBlock;
import org.amse.ak.schemebuilder.model.ISchemeVisitor;

class WhileBlock extends Block implements IWhileBlock {
    
    private IBlock myFirstBlock;

    public WhileBlock(String text) {
        super(text);
    }

    public IBlock getFirstBlock() {
        return myFirstBlock;
    }

    public void setFirstBlock(IBlock first) {
        myFirstBlock = first;
    }

    public void apply(ISchemeVisitor visitor) {
        visitor.caseWhileBlock(this);
    }

}
