package org.amse.ak.schemebuilder.view;

import javax.swing.JMenu;
import javax.swing.JMenuItem;
import javax.swing.JSeparator;
import javax.swing.KeyStroke;

import java.awt.event.ActionListener;

@SuppressWarnings("serial")
class MyMenu extends JMenu {

    public MyMenu(String name) {
        super(name);
    }

    public void createMenuItem(String name, char mnemonic,
            char acceleratorChar, int acceleratorModifier,
            ActionListener listener) {
        JMenuItem item = new JMenuItem(name);
        item.addActionListener(listener);
        item.setMnemonic(mnemonic);
        item.setAccelerator(KeyStroke.getKeyStroke(acceleratorChar,
                acceleratorModifier));
        add(item);
    }

    public void createMenuItem(String name, ActionListener listener) {
        JMenuItem item = new JMenuItem(name);
        item.addActionListener(listener);
        add(item);
    }

    public void createSeparator() {
        add(new JSeparator());
    }

}
