package org.amse.ak.schemebuilder.model;

public interface IBlockFactory {

    IActionBlock createActionBlock(String text);

    IBeginBlock createBeginBlock(String text);

    IDoBlock createDoBlock(String text);
    
    IEndBlock createEndBlock(String text);

    IForBlock createForBlock(String text);

    IIfBlock createIfBlock(String text);
    
    IInvocationBlock createInvocationBlock(String text);

    ISwitchBlock createSwitchBlock(String text);
    
    ITryBlock createTryBlock();
    
    IWhileBlock createWhileBlock(String text);

}
